/* VInfoAll.cmd: Demonstrate RexxMenu. choose to view from among all *.inf
 *               files on this disk.
 */

/* ADD RexxMenu function support from the RexxMenu.dll */
if 1 = RxFuncQuery('RexxMenu') then
   CALL RxFuncAdd 'RexxMenu', 'RexxMenu', 'RexxMenu'

/* Create temporary file of all *.INF file on this disk */
'@echo Building list of *.inf files...'
'@dir \*.inf /S /B > AllInfLs.tmp'

/* Let user choose .inf file to view */
InfName = ''
do until InfName = ''
   InfName = RexxMenu('AllInfLs.tmp','/Pre',SUBSTR(DIRECTORY(),1,2),,
                      '/Prompt','Select INF file to view','/Esc',,
                      '/Init',InfName)
   if \(InfName = '') then do
      'view.exe' INSERT(INSERT('"',InfName),'"')
   end  /* Do */
end /* do */

/* May remove our temporary list */
'@del AllInfLs.tmp'

